
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#简单音乐播放器ListBox歌单列表 / 憋错料</title>

    <meta name="description" content="C#简单音乐播放器ListBox歌单列表 简单的音乐播放器实现其实并不难,直接用axWindowsmediaplayer来做,这里没有什么技术含量的,但是axWindowsmediaplayer是不会生成歌单列表的,也就是说,在每次添加音乐后axWindowsmediaplayer是没有记录的,那么我就来简单的做下歌单列表. axWindowsmediaplayer的工作原理其实就是根据Path来加载的,在写歌单时我们需要先来做两件事,1.存储歌曲Path 2.存储歌曲名字 这里暂且不考虑数据库,我使用IO操作通过txt文件来存储这两种">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">C#简单音乐播放器ListBox歌单列表</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>简单的音乐播放器实现其实并不难，直接用axWindowsmediaplayer来做，这里没有什么技术含量的，但是axWindowsmediaplayer是不会生成歌单列表的，也就是说，在每次添加音乐后axWindowsmediaplayer是没有记录的，那么我就来简单的做下歌单列表。</p>
<p>axWindowsmediaplayer的工作原理其实就是根据Path来加载的，在写歌单时我们需要先来做两件事，1、存储歌曲Path 2、存储歌曲名字 这里暂且不考虑数据库，我使用IO操作通过txt文件来存储这两种信息。</p>
<p>思路过程：</p>
<p>判断文件是否存在 &nbsp;-----存在 ------ 写入流存入数据 ------更新ListBox</p>
<p>-----不存在 ------创建两个文件 ------- 写入流存入数据 ------更新ListBox</p>
<p>这都不是问题，重点在我们必须使用两个ListBox，一个显示歌名，一个存入路径，并且要使两个ListBox相关联</p>
<p>IO操作代码：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre> 1  public void IOStreamName()
 2         {
 3             if (File.Exists(NamePath))
 4             {
 5                 // 存入文件名
 6                // MessageBox.Show("1存在！");
 7                 StreamWriter NameWriter = new StreamWriter(NamePath,true);
 8                 if (ListSafeFileName.Items.Count &gt; 0)
 9                 {
10                     for (int i = 0; i &lt; ListSafeFileName.Items.Count; i++)
11                     {
12                         NameWriter.WriteLine(ListSafeFileName.Items [ListSafeFileName .Items .Count -1].ToString () );
13                         break;
14                     }
15                     NameWriter.Close();
16                 }
17             }
18             else
19             {
20                 // 创建文件名文件
21                 FileStream SafeFileName = new FileStream(NamePath, FileMode.Create);
22                 SafeFileName.Close();
23                 StreamWriter NameWriter = new StreamWriter(NamePath);
24                 for (int i = 0; i &lt; ListSafeFileName.Items.Count; i++)
25                 {
26                     NameWriter.WriteLine(ListSafeFileName.Items[ListSafeFileName.Items.Count - 1].ToString());
27                 }
28                 NameWriter.Close();
29
30             }
31         }</pre>
<p>IOStreamName</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre> 1 public void IOStreamFileName()
 2         {
 3             if (File.Exists(FileNamePath))
 4             {
 5                 // 存入文件路径
 6                // MessageBox.Show("2存在！");
 7                 StreamWriter FileNameWriter = new StreamWriter(FileNamePath, true);
 8                 if (ListFileName.Items.Count &gt; 0)
 9                 {
10                     for (int i = 0; i &lt; ListFileName.Items.Count; i++)
11                     {
12                         FileNameWriter.WriteLine(ListFileName.Items[ListFileName.Items.Count - 1].ToString());
13                         break;
14                     }
15                     FileNameWriter.Close();
16                 }
17             }
18             else
19             {
20                 // 创建路径文件
21                 FileStream FileName = new FileStream(FileNamePath, FileMode.Create);
22                 FileName.Close();
23                 StreamWriter FileNameWriter = new StreamWriter(FileNamePath);
24                 for (int i = 0; i &lt; ListFileName.Items.Count; i++)
25                 {
26                     FileNameWriter.WriteLine(ListFileName.Items[ListFileName.Items.Count - 1].ToString());
27                 }
28                 FileNameWriter.Close();
29
30             }
31         }</pre>
<p>IOStreamFileName</p>
<p>ListBox关联思路</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre>1  private void ListSafeFileName_MouseDoubleClick(object sender, MouseEventArgs e)
2         {
3             if (ListSafeFileName.SelectedIndex &gt;= 0)
4             {
5                 ListFileName.SelectedIndex = ListSafeFileName.SelectedIndex;
6                 WinPlayer.URL = ListFileName.SelectedItem.ToString();
7             }
8         }</pre>
<p>ListSafeFileName</p>
<p>启动即更新列表 （这里要说下，更新，我写了两个函数，这里的算法是比较经典的，是真的把ListBox玩出了花，代码写到这其实是最过瘾的）</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre> 1  public void IOStreamReadName()
 2         {
 3             if (File.Exists(NamePath))
 4             {
 5                 StreamReader MusicName = new StreamReader(NamePath);
 6                 string[] TxtData = File.ReadAllLines(NamePath);
 7                 for (int i = 0; i &lt; TxtData.Length; i++)
 8                 {
 9                     ListSafeFileName.Items.Add(MusicName.ReadLine());
10                 }
11                 MusicName.Close();
12             }
13
14         }</pre>
<p>IOStreamReadName</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre> 1 public void IOStreamReadFileName()
 2         {
 3             if (File.Exists(FileNamePath))
 4             {
 5                 StreamReader MusicFileName = new StreamReader(FileNamePath);
 6                 string[] TxtData = File.ReadAllLines(FileNamePath);
 7                 for (int i = 0; i &lt; TxtData.Length; i++)
 8                 {
 9                     ListFileName.Items.Add(MusicFileName.ReadLine());
10                 }
11                 MusicFileName.Close();
12             }
13         }</pre>
<p>IOStreamReadFileName</p>
<p>这里贴出来的都是核心代码了，其实后来想想txt文件是不便于管理的，用泛型集合也挺好，有待改进吧。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 20:35:15 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>C#简单音乐播放器ListBox歌单列表的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dzwD74.html" rel="bookmark">Android 实现简单音乐播放器（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天掐指一算,学习Android长达近两个月了,今天开始,对过去一段时间的学习收获以及遇到的疑难杂症做一些总结. 简单音乐播放器是我自己完成的第一个功能较为完整的APP,可以说是我的Android学习之路上的一个小小里程碑,给我增加了很多信心(~~真容易获得满足~~).从下面开始,我将详细介绍MusicPlayer的设计过程. 首先,先看一下这个项目的工程目录和运行效果:      从上面的图片看到,整个工程的布局文件有两个:activity_main.xml和musiclist.xml,其中,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wNZNZ0.html" rel="bookmark">Android&mdash;&mdash;简单音乐播放器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用MediaPlayer做的简单音乐播放器,更多内容请到百度经验查看   http://jingyan.baidu.com/article/60ccbceb63452364cab197f1.html &lt;RelativeLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; xmlns:tools=&quot;http://schemas.android.com/tools&quot; android:l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49l19D3.html" rel="bookmark">Android开发---MediaPlayer简单音乐播放器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android开发-MediaPlayer简单音乐播放器 功能介绍 实现一个简单的播放器,类似网易云音乐形式,功能包括: 播放.暂停,停止,退出功能: 后台播放功能: 进度条显示播放进度.拖动进度条改变进度功能: 播放时图片旋转,显示当前播放时间功能: 界面样式 功能实现 1. MediaPlayer的实现 MediaPlayer常用方法介绍 MediaPlayer的实现包括初始化MediaPlayer,MediaPlayer的功能实现,包括播放.暂停.停止.离开等,具体细节如下: MediaP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02YYLAM.html" rel="bookmark">Android 实现简单音乐播放器（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android 实现简单音乐播放器(一)中,我介绍了MusicPlayer的页面设计. 现在,我将解析MusicPlayer的功能实现,就讲一些主要的点和有趣的细节,结合MainActivity.java代码进行说明(写出来可能有点碎……一向不太会总结^·^). 一.功能菜单 在MusicPlayer中,我添加了三个菜单: search(搜索手机中的音乐文件,更新播放列表). clear(清除播放列表……这个功能是最初加进去的,后来改进之后,已经没什么实际意义). exit(退出). menu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mo5Kjl3.html" rel="bookmark">Android开发实战之简单音乐播放器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近开始学习音频相关.所以,很想自己做一个音乐播放器,于是,花了一天学习,将播放器的基本功能实现了出来.我觉得学习知识点还是蛮多的,所以写篇博客总结一下关于一个音乐播放器实现的逻辑.希望这篇博文对你的学习和生活有所帮助.效果图: **实现逻辑** 在市面上的音乐播放app,即时你关了.那么一样会在后台播放,所以播放的逻辑应该写在Service中.并且能够实现Service和Activity之间进行通信.那么Service是四大组件之一,所以在使用的时候一定不要忘了在配置文件中声明一下. &lt;ser			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/AMD1bk0.html" rel="bookmark">iOS 简单音乐播放器 界面搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如图搭建一个音乐播放器界面,具备以下几个简单功能: 1,界面协调,整洁. 2,点击播放,控制进度条. 3.三收藏歌曲,点击收藏,心形收藏标志颜色加深. 4,左右按钮,切换歌曲图片和标题. 5,点击中间图片,隐藏所有按钮,仅显示蓝色背景. 设计的整体思路: 1.在搭建界面的时候,为了整洁和方便后续的功能的添加,需要将整个的界面划分为几个部分: ①:最上面的一行包括:一个返回按钮.一个歌曲名称.一个收藏按钮: ②:第二行:一个slider控件.两侧是当前的歌曲播放进度和歌曲的总时长--两个lable			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBR1zAM.html" rel="bookmark">Android开发6：Service的使用（简单音乐播放器的实现）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 啦啦啦~各位好久不见啦~博主最近比较忙,而且最近一次实验也是刚刚结束~ 好了不废话了,直接进入我们这次的内容~ 在这篇博文里我们将学习Service(服务)的相关知识,学会使用 Service 进行后台工作, 学会使用 Service 与 Activity 进行通信,并在此知识基础上学会使用 MediaPlayer和简单的多线程编程.使用 Handle 更新 UI,并设计成功一个简单的音乐播放器. 是不是很高大上呢~一起来学习~ 基础知识 Service作为Android四大组件之一,在每			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVgQyw0.html" rel="bookmark">Qt5 简单音乐播放器（进击版1）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天又抽空改进了下音乐播放器的功能 主要改进代码: 播放列表:QListWidget 类 标准文件对话框:QFileDialog QString getfilename(QString filepath) {     QString filename;     QStringList list = filepath.split(&quot;/&quot;);     filename = list.at(list.size()-1);     return filename; } QString Main			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZqGPZ0.html" rel="bookmark">第二十九节（java-开发简单音乐播放器 ）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				package com.tanzhou.jmf; import java.applet.*; import java.awt.*; import java.awt.event.*; import java.io.File; import java.net.MalformedURLException; import java.net.URL; import javax.swing.*; // JFrame java的GUI程序的基本思路是以JFrame为基础,它是屏幕上window的对象,能够最大			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMoy9l3.html" rel="bookmark" class="title">分享一次失败的项目实践经验</a>
					<div>
						一.开篇 最近在网上看到了一款canvas实现网页涂鸦效果的作品,感觉这个效果比较奇特而且在以前没有学习canvas这样的功能是不可思议的,所以本人秉着程序员的那一份执着,花了两三个小时的时间来研究了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r21g73.html" rel="bookmark" class="title">ios开发代码规范</a>
					<div>
						代码规范很重要,一个良好的代码习惯要从一开始就养成 公共类和文件的设计 (网络请求类.数据库类.Model类.View类,Controller&lt;根据流程图&gt;.Handle类&lt;数据处理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bYAVmM.html" rel="bookmark" class="title">第六场 hdu 6097 Mindis （几何）</a>
					<div>
						http://acm.hdu.edu.cn/showproblem.php?pid=6097 题目大意:有个圆,圆内有两个点P,Q,已知PO=QO,求圆上一点D,使得PD+QD最小 解题思路:官方题解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pRpeJ0.html" rel="bookmark" class="title">OGG维护优化脚本（二十四）-OGG状态监控系统--后台脚本</a>
					<div>
						这个简易监控系统具体是由html实现的 后台没有数据库,只有从各台机器收集并上传过来的html文件 通过定时shell脚本整理并分类到各个目录,然后通过apache被网页调用 具体更新频率取决于各数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGP8WV0.html" rel="bookmark" class="title">【MySQL】排序原理与案例分析</a>
					<div>
						前言 排序是数据库中的一个基本功能,MySQL也不例外.用户通过Order by语句即能达到将指定的结果集排序的目的,其实不仅仅是Order by语句,Group by语句,Distinct语句都会隐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49rjjbM.html" rel="bookmark" class="title">java properties</a>
					<div>
						一.Java Properties类 Java中有个比较重要的类Properties(Java.util.Properties),主要用于读取Java的配置文件,各种语言都有自己所支 持的配置文件,配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/478edxM.html" rel="bookmark" class="title">shell脚本中的数学运算</a>
					<div>
						shell中的赋值和操作默认都是字符串处理,在此记下shell中进行数学运算的几个特殊方法.以后用到的时候能够来看,呵呵 1.错误方法举例 a) var=1+1 echo $var 输出的结果是1+1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qEle93.html" rel="bookmark" class="title">十天内掌握线性代数：惊人的超速学习实验</a>
					<div>
						转载自:http://www.read.org.cn/html/2070-zhuan-zai-shi-tian-nei-zhang-wo-xian-xing-dai-shu-jing-ren-de-c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jeDAWM.html" rel="bookmark" class="title">java后台SSH框架之Hibernate心得一</a>
					<div>
						双向关联和单向关联 双向关联:这两个表无论哪一个更新另外一个表都更新 单向关联:就是只有一个主表更新从表才更新 从表更新主表不管 双向关联配置 表1配置 &lt;set name=&quot;对象名称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qRzjz4.html" rel="bookmark" class="title">Spring&lowbar;02</a>
					<div>
						注意:注入基本类型值在本质上就是依赖注入,而且是利用的set方式进行的依赖注入 1 注入基本类型的值 &lt;property name=&quot;基本类型的成员变量名&quot; value=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47X2GRM.html" rel="bookmark" class="title">linux u盘挂载命令</a>
					<div>
						使用ubuntu desktop一般会自动挂载,在命令行模式下则需要通过命令挂载. 1. 首先查看u盘的信息,确认显示什么分区,U盘格式是什么. 查看命令: sudo fdisk -l 2. 挂载u盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49ldrn3.html" rel="bookmark" class="title">mysql初始化的一些常用命令</a>
					<div>
						查看MYSQL数据库中所有用户 mysql&gt; SELECT DISTINCT CONCAT('User: ''',user,'''@''',host,''';') AS query FROM m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDldDKM.html" rel="bookmark" class="title">ip 报文头</a>
					<div>
						英文对照,rfc791					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a6XwE3.html" rel="bookmark" class="title">初窥项目构建</a>
					<div>
						原文出自: http://www.cnblogs.com/Ribbon/archive/2015/05/22/4517125.html 1.项目构建基本流程 开发人员在他们的个人计算机上编写源代码文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pDEWV4.html" rel="bookmark" class="title">html网页访问WebAPI中的方法遇到的问题</a>
					<div>
						1.移动端访问远程服务时,建议使用WebAPI 2.用不同浏览器访问WebAPI时返回的文本格式是不同的,Chrome Firefox将在浏览器中以XML形式显示此列表,IE浏览器将获得Json格式的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kwgOP0.html" rel="bookmark" class="title">arttemplate 模板语法</a>
					<div>
						1.遍历表达式 &lt;ul id=&quot;carList&quot; class=&quot;list-unstyled&quot;&gt; &lt;script id=&quot;carLis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41np1vM.html" rel="bookmark" class="title">SQL Server2005&sol;2008 作业执行失败的解决办法</a>
					<div>
						数据库:SQL Server 2005/2008,运行环境:Windows Server 2008  在数据库里的所有作业都执行失败,包括自动执行和手动执行.在事件查看器里看到的错误报告如下: 该 作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4plKGo4.html" rel="bookmark" class="title">马哥运维学习作业（七）</a>
					<div>
						1.创建一个10G分区,并格式为ext4文件系统: (1) 要求其block大小为2048, 预留空间百分比为2, 卷标为MYDATA, 默认挂载属性包含acl: (2) 挂载至datamydata目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXowlb4.html" rel="bookmark" class="title">mycheckpoint</a>
					<div>
						mycheckpoint 是针对mysql的一个性能监控.指标采集的python写成的工具. mycheckpoint是一段脚本,通过将其设置为crontab定时任务,每几分钟采集一次数据(受限于cr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPgAOz4.html" rel="bookmark" class="title">使用&num;pragma阻止一些warnings</a>
					<div>
						这篇博客的内容都是记的网上的.是流水账.只是记录下来以便日后之有,避免每次重新google. #pragma除了可以用来把不同功能的代码进行分隔组织外还可以用来disable一些warnings.这在 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
